import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "Docker Docs",
  description: "使用手册",
  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: 'Home', link: '/' },
      { text: 'Examples', link: '/markdown-examples' }
    ],

    sidebar: {
      '/': [
        {
          text: "引擎",
          link: '/docs/engine/',
          items: [
            { 
              text: '安装', 
              collapsed: true,
              link: '/docs/engine/about',
              items: [
                { text: "Ubuntu", link: '/docs/engine/ubuntu' },
                { text: "Debian", link: '/docs/engine/debian' },
              ]
            },
            { 
              text: '存储', 
              collapsed: true,
              link: '/docs/storage/',
              items: [
                { text: "卷", link: '/docs/storage/volume' },
                { text: "绑定挂载", link: '/docs/storage/volume' },
                { text: "tmpfs 挂载", link: '/docs/storage/volume' },
                { text: "存储驱动程序", link: '/docs/storage/volume' },
              ]
            }
          ]
        }
      ],
    },
    

    socialLinks: [
      { icon: 'github', link: 'https://github.com/vuejs/vitepress' }
    ]
  }
})
